#!/usr/bin/env python
# Last modified:  Time-stamp: <2009-06-19 15:41:36 haines>
"""test add nan in time gap of data so plots lift pen at gap"""

# plot each month

import os, sys, glob, re
import datetime, time, dateutil, dateutil.tz
import pycdf
import numpy
sys.path.append('/home/haines/nccoos/raw2proc')
del(sys)
os.environ["MPLCONFIGDIR"]="/home/haines/.matplotlib/"
from pylab import figure, twinx, savefig, setp, getp, cm, colorbar
from matplotlib.dates import DayLocator, HourLocator, MinuteLocator, DateFormatter, date2num, num2date
import procutil

proc_dir = '/seacoos/data/nccoos/level1/crow/wq'
fns = glob.glob((os.path.join(proc_dir, '*.nc')))
fns.sort()

fn = '/seacoos/data/nccoos/level1/crow/wq/crow_wq_2005_05.nc'
m=re.search('\d{4}_\d{2}', fn)
yyyy_mm = m.group()
prev_month, this_month, next_month = procutil.find_months(yyyy_mm)

print ' ... ... read: ' + fn
nc = pycdf.CDFMF((fn,))
ncvars = nc.variables()
es = nc.var('time')[:]
units = nc.var('time').units
dt = [procutil.es2dt(e) for e in es]
dn = date2num(dt)
batt = nc.var('battvolts')[:]
nc.close()

data = batt
delta_dn = numpy.diff(dn)
delta_dt = numpy.diff(dt)
sample_interval = numpy.median(delta_dn)
maxdelta = 2*sample_interval

igap = (delta > maxdelta).nonzero()[0]
ngap = len(igap)
sample_interval = datetime.timedelta(sample_interval)


# do some error handling
# if ngap:
# return (new_dt, new_data)
# else: return (dt, data)

# for each gap in data create NaN 
data_insert = [numpy.nan for gap in igap]
# for each gap in time create datetime value 
dt_insert = [dt[gap]+sample_interval for gap in igap]

# insert new sample times at indices of the gaps
new_dt = numpy.insert(dt, igap+1, dt_insert)
# insert NaN data at the indices that match the above times
new_data = numpy.insert(data, igap+1, data_insert)
