#!/usr/bin/env python
# Last modified:  Time-stamp: <2008-11-21 15:19:36 haines>
"""ims_sodar_plot_month"""

# plot each month

import os, sys, glob, re
import datetime, time, dateutil, dateutil.tz
import pycdf
import numpy

sys.path.append('/home/haines/nccoos/raw2proc')
del(sys)

os.environ["MPLCONFIGDIR"]="/home/haines/.matplotlib/"

from pylab import figure, twinx, savefig, setp, getp, cm, colorbar
from matplotlib.dates import DayLocator, HourLocator, MinuteLocator, DateFormatter, date2num, num2date
import procutil

print 'ims_sodar_plot_month ...'

proc_dir = '/seacoos/data/nccoos/level1/ims/sodar/'
fns = glob.glob((os.path.join(proc_dir, '*.nc')))
fns.sort()

fn = fns[0]
m=re.search('\d{4}_\d{2}', fn)
yyyy_mm = m.group()
prev_month, this_month, next_month = procutil.find_months(yyyy_mm)

# load data
print ' ... ... read: ' + fn
nc = pycdf.CDFMF((fn,))
ncvars = nc.variables()
# print ncvars
es = nc.var('time')[:]
units = nc.var('time').units
dt = [procutil.es2dt(e) for e in es]
# set timezone info to UTC (since data from level1 should be in UTC!!)
dt = [e.replace(tzinfo=dateutil.tz.tzutc()) for e in dt]
# return new datetime based on computer local
dt_local = [e.astimezone(dateutil.tz.tzlocal()) for e in dt]
dn = date2num(dt)
z = nc.var('z')[:]/100. # convert cm/s to m/s
u = nc.var('u')[:]/100.
v = nc.var('v')[:]/100.
w = nc.var('w')[:]/100.
e = nc.var('echo')[:]
nc.close()

