#!/usr/bin/env python
# Last modified:  Time-stamp: <2009-01-12 17:50:01 haines>
"""morgan_adcp_plot"""

import os, sys
import datetime, time, dateutil, dateutil.tz
import pycdf
import numpy

sys.path.append('/home/haines/nccoos/raw2proc')
del(sys)

os.environ["MPLCONFIGDIR"]="/home/haines/.matplotlib/"

from pylab import figure, twinx, savefig, setp, getp, cm, colorbar
from matplotlib.dates import DayLocator, HourLocator, MinuteLocator, DateFormatter, date2num, num2date
import procutil

ncFile2='/seacoos/data/nccoos/level1/morgan/avp/morgan_avp_2008_09.nc'
nc = pycdf.CDFMF((ncFile2,))
ncvars = nc.variables()
# print ncvars
es = nc.var('time')[:]
units = nc.var('time').units
dt = [procutil.es2dt(e) for e in es]
# set timezone info to UTC (since data from level1 should be in UTC!!)
dt = [e.replace(tzinfo=dateutil.tz.tzutc()) for e in dt]
# return new datetime based on computer local
dt_local = [e.astimezone(dateutil.tz.tzlocal()) for e in dt]
dn = date2num(dt)
wd = nc.var('wd')[:]

ses = nc.var('stime')[:]
z = nc.var('z')[:]

wtemp = nc.var('wtemp')[:]
salin = nc.var('salin')[:]
turb = nc.var('turb')[:]
ph = nc.var('ph')[:]
do = nc.var('do')[:]
chl = nc.var('chl')[:]
nc.close()

# bin_size = sensor_info['bin_size'] # Bin Size (meters)
bin_size = 0.1 # 10cm or 0.1m
# nominal_depth = platform_info['water_depth']  # Mean sea level at station (meters) or nominal water depth
nominal_depth = 4.0 # m
yi = numpy.arange(0, -1*nominal_depth, -1*bin_size, dtype=float)
xi = es

zi = numpy.array(numpy.ones((len(xi),len(yi)), dtype=float)*numpy.nan)

i=0
ibin = ((z[0,:])<=yi[0])*(z[0,:]<yi[1]))

xxx=(z[:,:]<=yi[1])*(z[:,:]>yi[2])
i,j = xxx.nonzero

